package com.zioinfo.mes.admin.mapper;

import com.zioinfo.mes.admin.dto.MesSetting;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SettingMapper {

    List<MesSetting> findAll();

    MesSetting findByKey(@Param("key") String key);

    int upsert(@Param("key") String key, @Param("value") String value);
}
